Ubuntu

Add to Unity launcher feature is not working for purchased apps

Reported by Gary Lasker on 2011-04-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Gary Lasker

Bug Description

Binary package hint: software-center

Software Center version 3.1.25, the Natty Narwhal

When electing to "Add to Launcher" for a purchased app (in my case, Volley Brawl), the application does not actually get added to the Unity launcher at the end of installation as expected.

Following output on the command line tells the tale:

2011-04-05 19:04:07,044 - softwarecenter.fixme - WARNING - logs to the root logger: '('/home/tremolux/Projects/natty/software-center_review_mmcg_star_tweaks/software-center/softwarecenter/utils.py', 327, 'convert_desktop_file_to_installed_location')'
2011-04-05 19:04:07,044 - root - WARNING - Could not determine the installed desktop file path for app-install desktop file: 'software-center-agent'

Changed in software-center (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Gary Lasker (gary-lasker)
status: Triaged → In Progress
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 3.1.26

---------------
software-center (3.1.26) natty; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/purchaseview.py:
    - block signal handlers rather than disconnect them when
      the purchase screen is not showing
    - handle case where the nav bar buttons are used to navigate
      back to the details view from the purchase screen
  * softwarecenter/view/availablepane.py,
    softwarecenter/view/softwarepane.py:
    - make custom package lists work consistently for all
      combinations of package names (LP: #748827)
  * softwarecenter/view/softwarepane.py,
    softwarecenter/view/appdetailsview_gtk.py:
    - fix ValueError crash that can occur when adding an
      app to the launcher (LP: #750144)
  * softwarecenter/test/test_appdetails_view.py:
    - update unit test for the localized date strings
      in the details view
  * refresh .pot file
  * softwarecenter/test/test_unity_launcher_integration.py:
    - fix broken unit test
  * softwarecenter/utils.py,
    softwarecenter/view/softwarepane.py,
    test/test_unity_launcher_integration.py:
    - make add to unity launcher feature work correctly for
      purchased apps, add unit test for this (LP: #752951)

  [ Robert Roth ]
  * softwarecenter/view/historypane.py:
    - expand most recent day in the history view (LP: #644438)
    - fix ellipsis of summary text in the list view on a
      window resize (LP: #678442)
  * softwarecenter/view/appdetailsview_gtk.py:
    - support localized date string for the installed date
      in the details view (LP: #751068)
  * softwarecenter/models/appstore.py:
    - correctly display half star ratings in listviews and
      the carousels (LP: #746173)

  [ Michael Vogt ]
  * merged lp:~mmcg069/software-center/Bug477285 (LP: #477285),
    many thanks!
  * merged lp:~weblive-dev/software-center/weblive-backend-fixes,
    many thanks!
  * test/test_gui_buy_something.py:
    - fix test
  * data/featured.menu.in:
    - tweaked for natty
 -- Michael Vogt <email address hidden> Thu, 07 Apr 2011 16:38:32 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers